Subject: bug#434: command to delete downloaded package lists and package cache, for container building

From: Simon Richter <[email-masked]>
Date: Wed, 29 Apr 2020 11:59:46 +0200

Package: apt
Version: 1.8.2
Severity: wishlist

Hi,

I'm trying to build a few Docker containers for various apps, and since I'm
adding packages, I need to have package lists available during the
container build, but I'd like to remove them before packing the final
application container.

I can obviously do that manually, which requires me to know apt internals.

It would be nice if there was a command to remove the downloaded lists and
the indexes (although the latter can also be removed by just dropping all
files below /var/cache, which would be allowed in any case).

   Simon

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/40 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages apt depends on:
ii  adduser                 3.118
ii  debian-archive-keyring  2019.1
ii  gpgv                    2.2.12-1+deb10u1
ii  libapt-pkg5.0           1.8.2
ii  libc6                   2.28-10
ii  libgcc1                 1:8.3.0-6
ii  libgnutls30             3.6.7-4+deb10u2
ii  libseccomp2             2.3.3-4
ii  libstdc++6              8.3.0-6

Versions of packages apt recommends:
ii  ca-certificates  20190110

Versions of packages apt suggests:
pn  apt-doc         <none>
ii  aptitude        0.8.11-7
ii  dpkg-dev        1.19.7
ii  gnupg           2.2.12-1+deb10u1
ii  powermgmt-base  1.34

-- no debconf information